This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 388051 - Pirut crashes when adding a repo with non-existent
Pirut crashes when adding a repo with non-existent
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 21:25 EST by Aravind Seshadri
Modified: 2007-12-31 09:51 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:51:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aravind Seshadri 2007-11-16 21:25:18 EST
Description of problem:


Version-Release number of selected component (if applicable): 
pirut which ships with Fedora 8


How reproducible:
Always

Steps to Reproduce:
1. Open pirut
2. Press Ctrl+R and click on Add
3. Enter all the information including the location for the gpg key. The
information which I entered was for the Skpye repo which can be found at 
http://www.skype.com/download/skype/linux/repositories.html
At this moment it is 
baseurl=http://download.skype.com/linux/repos/fedora/updates/i586/ 
gpgkey=http://www.skype.com/products/skype/linux/rpm-public-key.asc
Apparently the repo URL listed on skype website is unreachable (non-existent). 
  
Actual results:
Pirut crashes

Expected results:
Pirut should pop-up a window saying that the the URL entered is not available or
repo not found message should be returned.

Additional info:
Pirut Crash reoprt

Component: pirut
Summary: TBc5ad12a9 repos.py:98:getRepo:RepoError: Error getting repository data
for Skype Repositories, repository not found

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pirut/RepoSelector.py", line 277, in _add
    return self._repoEditor(None)
  File "/usr/lib/python2.5/site-packages/pirut/RepoSelector.py", line 291, in
_repoEditor
    repo = d.run()
  File "/usr/lib/python2.5/site-packages/pirut/RepoSelector.py", line 208, in run
    if self.ayum and self.ayum.repos.getRepo(name):
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 98, in getRepo
    'Error getting repository data for %s, repository not found' % (repoid)
RepoError: Error getting repository data for Skype Repositories, repository not
found

Local variables in innermost frame:
self: ['livna-development', 'updates-source', 'livna-development-debuginfo',
'updates-testing', 'livna', 'updates-testing-source', 'livna-debuginfo',
'fedora', 'livna-testing', 'development-source', 'development',
'updates-debuginfo', 'fedora-debuginfo', 'livna-development-source',
'updates-testing-debuginfo', 'updates', 'livna-source', 'fedora-source',
'development-debuginfo', 'livna-testing-debug', 'livna-testing-source', 'texlive']
e: 'Skype Repositories'
repoid: Skype Repositories
Comment 1 Jeremy Katz 2007-11-19 11:41:14 EST
Fixed in git; will be in the next update pushed
Comment 2 Fedora Update System 2007-11-20 12:50:02 EST
pirut-1.3.26-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pirut'
Comment 3 Fedora Update System 2007-11-28 20:34:00 EST
pirut-1.3.27-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pirut'
Comment 4 Aravind Seshadri 2007-12-06 13:18:49 EST
(In reply to comment #3)
> pirut-1.3.27-1.fc8 has been pushed to the Fedora 8 testing repository.  If
problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update pirut'

It doesn't crash now but would it not be better to have a dialog box saying that
the repo is non-existant or may be something like repo not found. Users may be
unaware that the repo is non-existant and would be under the impression that no
updates are available when they run pirut or yum.
Comment 5 Fedora Update System 2007-12-06 15:45:27 EST
pirut-1.3.28-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-12-06 15:55:05 EST
pirut-1.3.28-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jeremy Katz 2007-12-31 09:51:58 EST
New versions of pirut have been released that should address these issues

Note You need to log in before you can comment on or make changes to this bug.